apiVersion: apps/v1
kind: Deployment
metadata:
  name: order-service-deployment
  labels:
    app: order-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: order-service
  template:
    metadata:
      labels:
        app: order-service
    spec:
      containers:
        - name: order-service
          image: order-service:0.0.1-SNAPSHOT # This image needs to be built and pushed to a registry
          ports:
            - containerPort: 8082
          env:
            # Example of an environment variable
            - name: SPRING_PROFILES_ACTIVE
              value: prod
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"
            requests:
              memory: "256Mi"
              cpu: "200m"
